%define name konverse
%define version 0.2
%define release 3mdk

Summary: The KDE-based Jabber client.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Networking/Chat
Url: http://konverse.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
The KDE-based Jabber client. 
Jabber is an open-source instant messaging protocol.


%prep
%setup

%build
%configure --with-gnu-ld --disable-rpath --enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mv  %buildroot/%_datadir/*.png %buildroot/%_iconsdir

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %{name} "Networking/Instant messaging" %buildroot/%_datadir/applnk/*/%{name}.desktop %buildroot/%_menudir/%name

%post
%{update_menus}

%postun
%{clean_menus}



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applnk/*/*
%{_datadir}/apps/*
%{_iconsdir}/*/*/*

%changelog
* Wed Nov 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.2-3mdk
- rebuild against libpng3

* Mon Sep 24 2001 Vincent Saugey <vince@mandrakesoft.com> 0.2-2mdk
- Add menu update
- Change copyright -> license
- lsipt description line too long

* Thu Sep 13 2001 Vincent Saugey <vince@mandrakesoft.com> 0.2-1mdk
- Up to 0.2

* Fri Dec 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1-1mdk
- First mdk release
